> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the jobs schema

> Get JSON schema for jobs managed by this API.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-config.json get /job-config/jobs/_schema
openapi: 3.0.1
info:
  title: Fusion Job Config API
  description: API for the Job Configuration and History of Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Manage task jobs
    description: Fetch, create, update, and delete task job configurations.
  - name: Manage all jobs
    description: Fetch, create, update, and delete task jobs and Spark jobs.
  - name: Manage job schedules
    description: Fetch, configure, and reset job schedules.
  - name: Get job histories
    description: Get the history of any job.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-config/jobs/_schema:
    get:
      tags:
        - Manage job schedules
      summary: Get the jobs schema
      description: Get JSON schema for jobs managed by this API.
      operationId: getJobConfigSchema
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ObjectType'
              example:
                type: object
                title: Job Runtime Configuration
                description: Configuration of when and how this job will run.
                properties:
                  jobResource:
                    type: object
                    title: Job Resource
                    properties: {}
                  enabled:
                    type: boolean
                    title: Enabled
                    description: Enable or disable this jobs set of triggers.
                    default: true
                  triggers:
                    type: array
                    items:
                      type: object
                      properties: {}
                      oneOf:
                        - type: object
                          title: Start + Interval
                          description: Schedule a job with a specific interval.
                          required:
                            - interval
                            - type
                          properties:
                            enabled:
                              type: boolean
                              title: Enabled
                              default: true
                            interval:
                              type: integer
                              title: Interval
                              minimum: 1
                              exclusiveMinimum: false
                            timeUnit:
                              type: string
                              title: Time Unit
                              enum:
                                - second
                                - minute
                                - hour
                                - day
                                - week
                                - month
                              default: hour
                            startTime:
                              type: string
                              title: Start Time
                              format: date-time
                            type:
                              type: string
                              enum:
                                - interval
                              default: interval
                              hints:
                                - readonly
                          additionalProperties: false
                          category: Other
                          categoryPriority: 1
                          unsafe: false
                        - type: object
                          title: Cron String
                          description: Schedule a job in crontab format.
                          required:
                            - expression
                            - type
                          properties:
                            enabled:
                              type: boolean
                              title: Enabled
                              default: true
                            expression:
                              type: string
                              title: Crontab expression
                              description: >-
                                See Cron Trigger documentation on
                                www.quartz-scheduler.org for more info
                              default: 0 15 10 ? * MON-FRI
                            type:
                              type: string
                              enum:
                                - cron
                              default: cron
                              hints:
                                - readonly
                          additionalProperties: false
                          category: Other
                          categoryPriority: 1
                          unsafe: false
                        - type: object
                          title: After Another Job Completes
                          description: Run this job on the completion of another job.
                          required:
                            - otherJob
                            - triggerType
                            - type
                          properties:
                            enabled:
                              type: boolean
                              title: Enabled
                              default: true
                            otherJob:
                              type: string
                              title: Another Job
                              description: Another job to watch for
                            triggerType:
                              type: string
                              title: Another Job Status
                              description: >-
                                When to start this job - on successful
                                completion of another job, on failure or in both
                                cases.
                              enum:
                                - on_success
                                - on_failure
                                - on_success_or_failure
                              default: on_success
                            type:
                              type: string
                              enum:
                                - job_completion
                              default: job_completion
                              hints:
                                - readonly
                          additionalProperties: false
                          category: Other
                          categoryPriority: 1
                          unsafe: false
                  default:
                    type: boolean
                    title: Default
                    description: Internal flag for checking if this is a default schedule.
                    default: false
                    hints:
                      - hidden
                      - readonly
                category: Other
                categoryPriority: 1
                unsafe: false
components:
  schemas:
    ObjectType:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        required:
          uniqueItems: true
          type: array
          items:
            type: string
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        additionalProperties:
          type: object
        minProperties:
          type: integer
          format: int32
        maxProperties:
          type: integer
          format: int32
        definitions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        enum:
          uniqueItems: true
          type: array
          items:
            type: object
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
        default:
          type: object
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
        propertyGroups:
          type: array
          items:
            $ref: '#/components/schemas/PropertyGroup'
    AnyType:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        enum:
          uniqueItems: true
          type: array
          items:
            type: object
        default: {}
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
        anyOf:
          type: array
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    AnyTypeObjectObject:
      type: object
      properties:
        type:
          type: string
          enum:
            - string
            - number
            - integer
            - boolean
            - object
            - array
            - 'null'
            - ref
        title:
          type: string
        description:
          type: string
        enum:
          uniqueItems: true
          type: array
          items:
            type: object
        default:
          type: object
        category:
          type: string
        categoryPriority:
          type: integer
          format: int32
        hints:
          uniqueItems: true
          type: array
          items:
            type: string
        unsafe:
          type: boolean
    PropertyGroup:
      type: object
      properties:
        label:
          type: string
        properties:
          type: array
          items:
            type: string

````